- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes

# FbxRenamingStrategyBase Class Reference

Search for all occurrences

## Detailed Description

Base class for renaming strategy.

Definition at line 26 of file fbxrenamingstrategybase.h.

`#include <fbxrenamingstrategybase.h>`

Inheritance diagram for FbxRenamingStrategyBase:
[legend]

List of all members.

## Classes
struct | NameCell
## Public Member Functions
| FbxRenamingStrategyBase ()
| Default constructor.
| FbxRenamingStrategyBase (char pNameSpaceSymbol)
| Constructor.
virtual | ~FbxRenamingStrategyBase ()
| Destructor.
virtual bool | DecodeScene (FbxScene *pScene)=0
| This method put all the names in the scene back to the original values.
virtual bool | EncodeScene (FbxScene *pScene)=0
| This method renames all the names in the scene.
virtual bool | DecodeString (FbxNameHandler &pString)=0
| This method find the original name of a given string.
virtual bool | EncodeString (FbxNameHandler &pString, bool pIsPropertyName=false)=0
| This method find the renaming name of a given string.
virtual void | CleanUp ()
| clean up the name cells.
## Public Attributes
char | mNamespaceSymbol
FbxCharPtrSet | mStringNameArray

## Constructor & Destructor Documentation

FbxRenamingStrategyBase | ( |  | ) |

Default constructor.

FbxRenamingStrategyBase | ( | char | pNameSpaceSymbol | ) |

Constructor.

Parameters:

  pNameSpaceSymbol |

virtual ~FbxRenamingStrategyBase | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool DecodeScene | ( | FbxScene * | pScene | ) | `[pure virtual]`

Search for all occurrences

This method put all the names in the scene back to the original values.

Parameters:

  pScene |

Returns:
  Returns true if some names have been modified.

Implemented in FbxRenamingStrategyFbx5, FbxRenamingStrategyFbx6, and FbxRenamingStrategyFbx7.

virtual bool EncodeScene | ( | FbxScene * | pScene | ) | `[pure virtual]`

Search for all occurrences

This method renames all the names in the scene.

Parameters:

  pScene |

Returns:
  Returns true if some names have been modified.

Implemented in FbxRenamingStrategyFbx5, FbxRenamingStrategyFbx6, and FbxRenamingStrategyFbx7.

virtual bool DecodeString | ( | FbxNameHandler & | pString | ) | `[pure virtual]`

Search for all occurrences

This method find the original name of a given string.

Parameters:

  pString |

Returns:
  Returns true if the name has been modified.

Implemented in FbxRenamingStrategyFbx5, FbxRenamingStrategyFbx6, and FbxRenamingStrategyFbx7.

virtual bool EncodeString | ( | FbxNameHandler & | pString,
|  | bool | pIsPropertyName = `false`
| ) |  | `[pure virtual]`

Search for all occurrences

This method find the renaming name of a given string.

Parameters:

  pString |
  pIsPropertyName |

Returns:
  Returns true if the name has been modified.

Implemented in FbxRenamingStrategyFbx5, FbxRenamingStrategyFbx6, and FbxRenamingStrategyFbx7.

virtual void CleanUp | ( |  | ) | `[virtual]`

Search for all occurrences

clean up the name cells.

Reimplemented in FbxRenamingStrategyFbx5, FbxRenamingStrategyFbx6, and FbxRenamingStrategyFbx7.

## Member Data Documentation

char mNamespaceSymbol

Search for all occurrences

Definition at line 90 of file fbxrenamingstrategybase.h.

FbxCharPtrSet mStringNameArray

Search for all occurrences

Definition at line 91 of file fbxrenamingstrategybase.h.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxrenamingstrategybase.h

FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase
FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase FbxRenamingStrategyBase